Get subscription
curl --request GET \
--url https://api.quivo.co/v2/subscriptions/{uuid} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.quivo.co/v2/subscriptions/{uuid}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.quivo.co/v2/subscriptions/{uuid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.quivo.co/v2/subscriptions/{uuid}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.quivo.co/v2/subscriptions/{uuid}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.quivo.co/v2/subscriptions/{uuid}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.quivo.co/v2/subscriptions/{uuid}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"sellerId": 123,
"entity": "SHIPMENTS",
"endpoint": {},
"uuid": "<string>"
}subscriptions
Get subscription
Get subscription by its UUID.
GET
/
subscriptions
/
{uuid}
Get subscription
curl --request GET \
--url https://api.quivo.co/v2/subscriptions/{uuid} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.quivo.co/v2/subscriptions/{uuid}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.quivo.co/v2/subscriptions/{uuid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.quivo.co/v2/subscriptions/{uuid}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.quivo.co/v2/subscriptions/{uuid}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.quivo.co/v2/subscriptions/{uuid}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.quivo.co/v2/subscriptions/{uuid}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"sellerId": 123,
"entity": "SHIPMENTS",
"endpoint": {},
"uuid": "<string>"
}Authorizations
Access token from POST /v2/oauth2/token, requested with an API credential. See https://api-docs.quivo.co/api-reference/authentication.
Path Parameters
A universally unique identifier (UUID), typically used for images or other resources.
Response
Returns the subscription details including status and configuration.
Subscription information and details. Contains subscription package, billing configuration, status, and usage metrics.
Required seller for which to make a subscription.
Required entity name for which to subscribe.
Enum: ORDERS SHIPMENTS
Available options:
SHIPMENTS, ORDERS, INBOUNDS, RETURNS, INVOICES Response object containing endpoint details
The uuid value